ClarisWksStyleManager Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
ClarisWksStyleManager Class Reference

a structure to store the style list and the lookup zone More...

`#include <ClarisWksStyleManager.hxx>`

## Classes
struct | CellFormat
| the CELL structure a structure related to number/date format More...
struct | KSEN
| the KSEN structure a structure related to paragraph and cell style More...
struct | Style
| the structure to store the style in a ClarisWksStyleManager More...

## Public Member Functions
| ClarisWksStyleManager (ClarisWksDocument &document)
| constructor More...
| ~ClarisWksStyleManager ()
| destructor More...
bool | readColorList (MWAWEntry const &entry)
| reads a color map zone ( v4-v6) More...
bool | readPatternList (long endPos=-1)
| reads a pattern map zone ( v2) More...
bool | readGradientList (long endPos=-1)
| reads a gradient map zone ( v2) More...
bool | readStyles (MWAWEntry const &entry)
| try to read the styles definition (in v4-6) More...
bool | readFontNames ()
| read the font name style zone (method to store font names in v2/v3 files) More...
bool | updateGradient (int grad, MWAWGraphicStyle &style) const
| update a style using a gradiant id More...
bool | updateWallPaper (int wall, MWAWGraphicStyle &style) const
| update a style using a wall paper id More...
int | getFontId (int localId) const
| return a mac font id corresponding to a local id More...
bool | getColor (int id, MWAWColor &col) const
| return the color which corresponds to an id (if possible) More...
bool | getPattern (int id, MWAWGraphicStyle::Pattern &pattern, float &percent) const
| return the pattern which corresponds to an id. More...
bool | getRulerName (int id, std::string &name) const
| return the name corresponding to a styleId More...
bool | get (int styleId, Style &style) const
| return the style corresponding to a styleId More...
bool | get (int fontId, MWAWFont &font) const
| return the font corresponding to a fontId More...
bool | get (int formatId, CellFormat &format) const
| return the cell format corresponding to a cellFormatId More...
bool | get (int ksenId, KSEN &ksen) const
| return the ksen style corresponding to a ksenId More...
bool | get (int graphId, MWAWGraphicStyle &graph) const
| return the graphic style corresponding to a graphicId More...
bool | readFont (int id, int fontSize, MWAWFont &font)
| try to read a named font More...

## Protected Member Functions
int | version () const
| return the file version More...
bool | readGenStyle (int id)
| try to read a STYL_ subzone (in v4-6) More...
bool | readStylesDef (int N, int fSz)
| try to read the style definition zone More...
bool | readLookUp (int N, int fSz)
| try to read the lookup zone More...
bool | readCellStyles (int N, int fSz)
bool | readFontNames (int N, int fSz)
| read the font name style zone (in the style zones) More...
bool | readGraphStyles (int N, int fSz)
| read a GraphicStyle sequence More...
bool | readKSEN (int N, int fSz)
| read a KSEN sequence More...
bool | readStyleNames (int N, int fSz)
| read a STYL Name sequence More...
bool | readStyleFonts (int N, int fSz)
| read a STYL_CHAR Font sequence More...

## Protected Attributes
ClarisWksDocument & | m_document
| the document More...
MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< ClarisWksStyleManagerInternal::State > | m_state
| the state More...

## Private Member Functions
| ClarisWksStyleManager (ClarisWksStyleManager const &orig)
ClarisWksStyleManager & | operator= (ClarisWksStyleManager const &orig)

## Detailed Description

a structure to store the style list and the lookup zone

## Constructor & Destructor Documentation

ClarisWksStyleManager::ClarisWksStyleManager | ( | ClarisWksDocument & | document | ) |

constructor

ClarisWksStyleManager::~ClarisWksStyleManager | ( |  | ) |

destructor

ClarisWksStyleManager::ClarisWksStyleManager | ( | ClarisWksStyleManager const & | orig | ) |
| private

## Member Function Documentation

bool ClarisWksStyleManager::get | ( | int | styleId,
|  | ClarisWksStyleManager::Style & | style
| ) |  | const

return the style corresponding to a styleId

Referenced by ClarisWksTableInternal::TableCell::update().

bool ClarisWksStyleManager::get | ( | int | fontId,
|  | MWAWFont & | font
| ) |  | const

return the font corresponding to a fontId

bool ClarisWksStyleManager::get | ( | int | formatId,
|  | ClarisWksStyleManager::CellFormat & | format
| ) |  | const

return the cell format corresponding to a cellFormatId

bool ClarisWksStyleManager::get | ( | int | ksenId,
|  | ClarisWksStyleManager::KSEN & | ksen
| ) |  | const

return the ksen style corresponding to a ksenId

bool ClarisWksStyleManager::get | ( | int | graphId,
|  | MWAWGraphicStyle & | graph
| ) |  | const

return the graphic style corresponding to a graphicId

bool ClarisWksStyleManager::getColor | ( | int | id,
|  | MWAWColor & | col
| ) |  | const

return the color which corresponds to an id (if possible)

Referenced by readFont(), and readGraphStyles().

int ClarisWksStyleManager::getFontId | ( | int | localId | ) | const

return a mac font id corresponding to a local id

Referenced by readFont().

bool ClarisWksStyleManager::getPattern | ( | int | id,
|  | MWAWGraphicStyle::Pattern & | pattern,
|  | float & | percent
| ) |  | const

return the pattern which corresponds to an id.

Referenced by readGraphStyles().

bool ClarisWksStyleManager::getRulerName | ( | int | id,
|  | std::string & | name
| ) |  | const

return the name corresponding to a styleId

ClarisWksStyleManager& ClarisWksStyleManager::operator= | ( | ClarisWksStyleManager const & | orig | ) |
| private

bool ClarisWksStyleManager::readCellStyles | ( | int | N,
|  | int | fSz
| ) |  |
| protected

Referenced by readGenStyle().

bool ClarisWksStyleManager::readColorList | ( | MWAWEntry const & | entry | ) |

reads a color map zone ( v4-v6)

bool ClarisWksStyleManager::readFont | ( | int | id,
|  | int | fontSize,
|  | MWAWFont & | font
| ) |  |

try to read a named font

Referenced by readStyleFonts().

bool ClarisWksStyleManager::readFontNames | ( |  | ) |

read the font name style zone (method to store font names in v2/v3 files)

Referenced by readGenStyle().

bool ClarisWksStyleManager::readFontNames | ( | int | N,
|  | int | fSz
| ) |  |
| protected

read the font name style zone (in the style zones)

bool ClarisWksStyleManager::readGenStyle | ( | int | id | ) |
| protected

try to read a STYL_ subzone (in v4-6)

Referenced by readStyles().

bool ClarisWksStyleManager::readGradientList | ( | long | endPos = `-1` | ) |

reads a gradient map zone ( v2)

Referenced by readGenStyle().

bool ClarisWksStyleManager::readGraphStyles | ( | int | N,
|  | int | fSz
| ) |  |
| protected

read a GraphicStyle sequence

Referenced by readGenStyle().

bool ClarisWksStyleManager::readKSEN | ( | int | N,
|  | int | fSz
| ) |  |
| protected

read a KSEN sequence

Referenced by readGenStyle().

bool ClarisWksStyleManager::readLookUp | ( | int | N,
|  | int | fSz
| ) |  |
| protected

try to read the lookup zone

Referenced by readGenStyle().

bool ClarisWksStyleManager::readPatternList | ( | long | endPos = `-1` | ) |

reads a pattern map zone ( v2)

Referenced by readGenStyle().

bool ClarisWksStyleManager::readStyleFonts | ( | int | N,
|  | int | fSz
| ) |  |
| protected

read a STYL_CHAR Font sequence

Referenced by readGenStyle().

bool ClarisWksStyleManager::readStyleNames | ( | int | N,
|  | int | fSz
| ) |  |
| protected

read a STYL Name sequence

Referenced by readGenStyle().

bool ClarisWksStyleManager::readStyles | ( | MWAWEntry const & | entry | ) |

try to read the styles definition (in v4-6)

bool ClarisWksStyleManager::readStylesDef | ( | int | N,
|  | int | fSz
| ) |  |
| protected

try to read the style definition zone

Referenced by readGenStyle().

bool ClarisWksStyleManager::updateGradient | ( | int | grad,
|  | MWAWGraphicStyle & | style
| ) |  | const

update a style using a gradiant id

bool ClarisWksStyleManager::updateWallPaper | ( | int | wall,
|  | MWAWGraphicStyle & | style
| ) |  | const

update a style using a wall paper id

int ClarisWksStyleManager::version | ( |  | ) | const
| protected

return the file version

Referenced by get(), getColor(), getPattern(), readFont(), readGenStyle(), readGradientList(), readGraphStyles(), readPatternList(), readStyles(), updateGradient(), and updateWallPaper().

## Member Data Documentation

ClarisWksDocument& ClarisWksStyleManager::m_document
| protected

the document

Referenced by readGenStyle(), and readGraphStyles().

MWAWParserStatePtr ClarisWksStyleManager::m_parserState
| protected

the parser state

Referenced by readCellStyles(), readColorList(), readFont(), readFontNames(), readGenStyle(), readGradientList(), readGraphStyles(), readKSEN(), readLookUp(), readPatternList(), readStyleFonts(), readStyleNames(), readStyles(), readStylesDef(), and version().

shared_ptr<ClarisWksStyleManagerInternal::State> ClarisWksStyleManager::m_state
| protected

the state

Referenced by ClarisWksStyleManager(), get(), getColor(), getFontId(), getPattern(), getRulerName(), readCellStyles(), readColorList(), readFontNames(), readGradientList(), readGraphStyles(), readKSEN(), readLookUp(), readPatternList(), readStyleFonts(), readStyleNames(), readStylesDef(), updateGradient(), updateWallPaper(), and version().

The documentation for this class was generated from the following files:

- ClarisWksStyleManager.hxx
- ClarisWksStyleManager.cxx